public class FormVerwalter {

  private Form[] formen = new Form[10];

  private static int randomZahl(int min, int max) { // Hilfsmethode
    return (int) Math.round(min + Math.random() * (max - min));
  }

  public FormVerwalter() {
    for(int i = 0; i < formen.length; i++) {
      switch (randomZahl(0, 3)) {
        case 0 -> { formen[i] = new Quadrat(randomZahl(1, 10)); }
        case 1 -> { formen[i] = new Rechteck(randomZahl(1, 10), randomZahl(1, 10)); }
        case 2 -> { formen[i] = new Dreieck(randomZahl(1, 10)); }
        case 3 -> { formen[i] = new Kreis(randomZahl(1, 10)); }
      }
    }
  }

  public void ausgebenInfo() {
    for(int i = 0; i < formen.length; i++) {
      System.out.printf("Form %d: %s\n", (i + 1), formen[i].getInfo());
    }
  }

  public int getGesamtFläche() {
    int gesamt = 0;
    for(int i = 0; i < formen.length; i++) {
      gesamt += formen[i].getFlaeche();
    }
    return gesamt;
  }
}